Bug 1197337 - Review Request: ghc-polyparse - A variety of alternative parser combinator libraries
Summary: Review Request: ghc-polyparse - A variety of alternative parser combinator li...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Boeckel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Ready
Depends On:
Blocks: 1062176
TreeView+ depends on / blocked
 
Reported: 2015-02-28 14:32 UTC by Jens Petersen
Modified: 2015-04-02 17:51 UTC (History)
3 users (show)

Fixed In Version: ghc-polyparse-1.11-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-13 16:59:46 UTC
mathstuf: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jens Petersen 2015-02-28 14:32:30 UTC
Spec URL: http://petersen.fedorapeople.org//ghc-polyparse.spec
SRPM URL: http://petersen.fedorapeople.org//ghc-polyparse-1.11-1.fc21.src.rpm

Description:
A variety of alternative parser combinator libraries, including the original
HuttonMeijer set. The Poly sets have features like good error reporting,
arbitrary token type, running state, lazy parsing, and so on. Finally,
Text.Parse is a proposed replacement for the standard Read class, for better
deserialisation of Haskell values from Strings.

Comment 1 Jens Petersen 2015-02-28 14:34:53 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=9100035

Needed for recent cpphs (needed by recent Agda).

Comment 2 Ben Boeckel 2015-03-03 01:45:56 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 194560 bytes in 23 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-data-hash-0.2.0.0-1.fc23.x86_64.rpm
          ghc-data-hash-devel-0.2.0.0-1.fc23.x86_64.rpm
          ghc-data-hash-0.2.0.0-1.fc23.src.rpm
ghc-data-hash.x86_64: W: spelling-error Summary(en_US) Combinators -> Combinations, Combination, Contaminators
ghc-data-hash.x86_64: W: spelling-error %description -l en_US Combinators -> Combinations, Combination, Contaminators
ghc-data-hash.src: W: spelling-error Summary(en_US) Combinators -> Combinations, Combination, Contaminators
ghc-data-hash.src: W: spelling-error %description -l en_US Combinators -> Combinations, Combination, Contaminators
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
ghc-data-hash-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(data-hash-0.2.0.0-821e6d6cc0f3d28c3228b30f83b9ceca)
    ghc-compiler
    ghc-data-hash(x86-64)
    ghc-devel(array-0.5.0.0-ce080a527b3819e94d851f7f80ca77dd)
    ghc-devel(base-4.7.0.2-cb23b5265b6e147094c0cd9ac819acb1)
    ghc-devel(containers-0.5.5.1-d7910f1cd81272c1f31ca9f71d0f206e)

ghc-data-hash (rpmlib, GLIBC filtered):
    ghc(array-0.5.0.0-ce080a527b3819e94d851f7f80ca77dd)
    ghc(base-4.7.0.2-cb23b5265b6e147094c0cd9ac819acb1)
    ghc(containers-0.5.5.1-d7910f1cd81272c1f31ca9f71d0f206e)
    libHSarray-0.5.0.0-ghc7.8.4.so()(64bit)
    libHSbase-4.7.0.2-ghc7.8.4.so()(64bit)
    libHScontainers-0.5.5.1-ghc7.8.4.so()(64bit)
    libHSdeepseq-1.3.0.2-ghc7.8.4.so()(64bit)
    libHSghc-prim-0.3.1.0-ghc7.8.4.so()(64bit)
    libHSinteger-gmp-0.5.1.0-ghc7.8.4.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)



Provides
--------
ghc-data-hash-devel:
    ghc-data-hash-devel
    ghc-data-hash-devel(x86-64)
    ghc-data-hash-static
    ghc-devel(data-hash-0.2.0.0-821e6d6cc0f3d28c3228b30f83b9ceca)

ghc-data-hash:
    ghc(data-hash-0.2.0.0-821e6d6cc0f3d28c3228b30f83b9ceca)
    ghc-data-hash
    ghc-data-hash(x86-64)
    libHSdata-hash-0.2.0.0-ghc7.8.4.so()(64bit)



Unversioned so-files
--------------------
ghc-data-hash: /usr/lib64/ghc-7.8.4/data-hash-0.2.0.0/libHSdata-hash-0.2.0.0-ghc7.8.4.so

Source checksums
----------------
https://hackage.haskell.org/package/data-hash-0.2.0.0/data-hash-0.2.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 35b39a4ec9efaad0c1fac2c1d5f7b6fe4717a67935a8f9d6c372bce9085bdaad
  CHECKSUM(SHA256) upstream package : 35b39a4ec9efaad0c1fac2c1d5f7b6fe4717a67935a8f9d6c372bce9085bdaad


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64-bb-tmpfs --bug 1197642
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Haskell, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

APPROVED

Comment 3 Jens Petersen 2015-03-03 01:54:00 UTC
Thank you for the review


New Package SCM Request
=======================
Package Name: ghc-polyparse
Short Description: Alternative parser combinators
Upstream URL: https://hackage.haskell.org/package/polyparse
Owners: petersen
Branches: f22 f21 f20 el7
InitialCC: haskell-sig

Comment 4 Gwyn Ciesla 2015-03-03 13:22:08 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2015-03-04 10:33:40 UTC
ghc-polyparse-1.11-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/ghc-polyparse-1.11-1.fc22

Comment 6 Fedora Update System 2015-03-04 10:33:46 UTC
ghc-polyparse-1.11-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ghc-polyparse-1.11-1.fc21

Comment 7 Fedora Update System 2015-03-04 10:33:53 UTC
ghc-polyparse-1.11-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghc-polyparse-1.11-1.fc20

Comment 8 Fedora Update System 2015-03-04 10:33:58 UTC
ghc-polyparse-1.11-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/ghc-polyparse-1.11-1.el7

Comment 9 Fedora Update System 2015-03-04 21:09:01 UTC
ghc-polyparse-1.11-1.fc22 has been pushed to the Fedora 22 testing repository.

Comment 10 Fedora Update System 2015-03-13 16:59:46 UTC
ghc-polyparse-1.11-1.fc22 has been pushed to the Fedora 22 stable repository.

Comment 11 Fedora Update System 2015-03-18 10:33:34 UTC
ghc-polyparse-1.11-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 12 Fedora Update System 2015-04-02 15:33:21 UTC
ghc-polyparse-1.11-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2015-04-02 17:51:07 UTC
ghc-polyparse-1.11-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.